> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mockwise.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# DELETE simulation

> ### Check Status

This endpoint sends an HTTP DELETE request to the specified URL to check the status of the resource. The `:statusCode` parameter in the URL should be replaced with the actual status code to be checked.

**Request Body**  
This request does not require a request body.



## OpenAPI

````yaml api_references/openapi.json delete /v1/status/{statusCode}
openapi: 3.0.3
info:
  title: Mock Data Generation API
  description: API for generating mock data with specific types and repetition
  version: 1.0.0
  contact:
    name: MockWise
    url: https://mockwise.dev
servers:
  - url: https://mockwise.dev/api
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Mock Generation
    description: Endpoints for generating mock data
  - name: Status Codes
    description: Endpoints simulating HTTP status codes
paths:
  /v1/status/{statusCode}:
    delete:
      tags:
        - Status Codes
      summary: DELETE simulation
      description: >-
        ### Check Status


        This endpoint sends an HTTP DELETE request to the specified URL to check
        the status of the resource. The `:statusCode` parameter in the URL
        should be replaced with the actual status code to be checked.


        **Request Body**  

        This request does not require a request body.
      parameters:
        - name: statusCode
          in: path
          description: ''
          required: true
          example: '200'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  method:
                    type: string
                required:
                  - success
                  - message
                  - method
              examples:
                '1':
                  summary: Success
                  value:
                    success: true
                    message: worked
                    method: GET
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  method:
                    type: string
                required:
                  - success
                  - message
                  - method
              examples:
                '1':
                  summary: Exception
                  value:
                    success: false
                    message: The HTTP status code "700" is not valid.
                    method: GET
          headers: {}
      deprecated: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````